Subject: kernel panic in cfi

From: "Jan Pedersen" <[email-masked]>
Date: Tue, 20 Sep 2005 23:02:05 +0200

For any of you who are using flash with the cfi driver, this may be of your
interrest:

When using the cfi (common flash interface) driver, every word written to
the flash chips is followed by a operation complete poll. This poll is
intended to have a timeout of 1 ms. However this timeout is calculated by
HZ/1000, which happends to be 0 because HZ < 1000. The result of this is
that there will be just one poll for operation complete. If this single poll
fails, the kernel panics. I have not had the time to investigate this panic
further. Instead, I have made a workaround that increases this timeout to HZ
(1 second). 1 second is far more than needed, but is preferred over a panic.

The patch is available at http://www.jp-embedded.com.

---

From: "Jan Pedersen" <[email-masked]>
Date: Tue, 20 Sep 2005 23:28:16 +0200

Patch attached.